Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Cannot build PSBT using latest compiled source (ebf47b) but can build PSBT using build from latest .deb #2184

Closed
davterra opened this issue Aug 27, 2019 · 5 comments · Fixed by #2186

Comments

@davterra
Copy link

commented Aug 27, 2019

If I attempt to build a transaction when running a wasabi instance compiled from source (ebf47b), and I input the required transaction info and click on "Build Transaction" I get a yellow error message saying "watching only wallet".

If I run an instance of wasabi built from the latest .deb download, when I go thru the exact steps as the above-mentioned attempt and click "Build Transaction", it works fine. A window opens with the transaction data and an export to PSBT button.

Both attempts were made with the same wasabi.json file imported from my ColdCard.
Both attempts were made with wasabi connected to my local full node.

Running Debian 9 inside of Qubes.

@davterra davterra changed the title Cannot build PSBT using latest compiled source (ebf47b) but can build using build from latest .deb Cannot build PSBT using latest compiled source (ebf47b) but can build PBST using build from latest .deb Aug 27, 2019
@nopara73

This comment has been minimized.

Copy link
Collaborator

commented Aug 27, 2019

I suspect this ruined it: #2116

Nobody reviewed or tested what @NicolasDorier did with the PSBT things, it was in my mind multiple times, but I always forgot it.

@nopara73 nopara73 added the priority label Aug 27, 2019
@nopara73 nopara73 pinned this issue Aug 27, 2019
@nopara73 nopara73 added the debug label Aug 27, 2019
@nopara73

This comment has been minimized.

Copy link
Collaborator

commented Aug 27, 2019

@molnard, @danwalmsley Can you try it out?

@davterra davterra changed the title Cannot build PSBT using latest compiled source (ebf47b) but can build PBST using build from latest .deb Cannot build PSBT using latest compiled source (ebf47b) but can build PSBT using build from latest .deb Aug 27, 2019
@davterra

This comment has been minimized.

Copy link
Author

commented Aug 28, 2019

For me, the compiled version transaction-build stops working correctly in d7fde2. It works properly in the previous commit, c0ca1d.

@nopara73

This comment has been minimized.

Copy link
Collaborator

commented Aug 28, 2019

That's really strange, I don't see anything being related there. @molnard That's your commit: d7fde2d

Since I have no access to a hardware wallet atm I ask again if you could test it?

@molnard

This comment has been minimized.

Copy link
Collaborator

commented Aug 28, 2019

Error confirmed. Debugging...

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.